unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  EditBtn;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnLoadEightth: TButton;
    btnLoadQuarter: TButton;
    btnLoadHalf: TButton;
    btnLoadFull: TButton;
    cbBestSpeed: TCheckBox;
    edFileName: TFileNameEdit;
    Image1: TImage;
    procedure btnLoadClick(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  FPReadJpeg;  // for the jsXXXX and jpXXXX identifiers

{ TForm1 }

procedure TForm1.btnLoadClick(Sender: TObject);
var
  jpg: TJpegImage;
  t: TDateTime;
  btn: TButton;
begin
  btn := Sender as TButton;
  jpg := TJpegImage.Create;
  try
    case btn.Tag of
      8: jpg.Scale := jsEighth;
      4: jpg.Scale := jsQuarter;
      2: jpg.Scale := jsHalf;
      else jpg.Scale := jsFullSize;
    end;
    if cbBestSpeed.Checked then
      jpg.Performance := jpBestSpeed;
    t := Now;
    jpg.LoadFromFile(edFileName.FileName);
    Image1.Picture.Assign(jpg);
    t := Now - t;
    Caption := FormatDateTime('"Loading time: "s.zzz" sec"', t);
  finally
    jpg.Free;
  end;
end;

end.

